<?php
namespace FormAlert;

use Exception;

if (!defined('ABSPATH')) {
    exit;
}

class Class_database
{
    private $form_alert_table;

    public function __construct()
    {
        global $wpdb;
        $this->form_alert_table = "{$wpdb->prefix}form_alert";
    }

    public function table_name()
    {
        return $this->form_alert_table;
    }

    public function create_tables()
    {
        require_once ABSPATH . "wp-admin/includes/upgrade.php";

        global $wpdb;

        $table_name = $this->table_name();
        $charset_collate = $wpdb->get_charset_collate();

        $create_sql = "CREATE TABLE IF NOT EXISTS $table_name (
            id bigint UNSIGNED NOT NULL AUTO_INCREMENT,
            api_key varchar(256) NOT NULL,
            name varchar(256) NOT NULL,
            PRIMARY KEY  (id)
            ) $charset_collate;";

        dbDelta($create_sql);

        if ($wpdb->last_error) {
            throw new Exception(
                "Failed to create tables: $wpdb->last_error"
            );
        }
    }

    public function validate_tables()
    {
        global $wpdb;

        $table_exists = $wpdb->get_var(
            "SHOW TABLES LIKE '{$this->table_name()}'"
        );

        if (!$table_exists) {
            $this->create_tables();
        }
    }
}
