<?php
namespace FormAlert;

if (!defined('ABSPATH')) {
  exit;
}
class Class_settings
{
  /**
   * Constructor.
   */
  public function __construct()
  {
    add_action('admin_menu', [$this, 'register_menu']);
    add_action('admin_enqueue_scripts', [$this, 'enqueue_scripts']);
  }

  /**
   * Registers the plugin's admin menu page.
   */
  public function register_menu()
  {
    add_menu_page(
      __('Form Alert', 'form-alert'),
      __('Form Alert', 'form-alert'),
      'manage_options',
      'form-alert',
      [$this, 'display_page'],
      'dashicons-admin-generic',
      99
    );
  }

  /**
   * Enqueue admin scripts and styles.
   *
   * @param string $hook The current admin page.
   */
  public function enqueue_scripts($hook)
  {
    if ('toplevel_page_form-alert' !== $hook) {
      return;
    }

    wp_enqueue_script(
      'admin-script',
      plugin_dir_url(__FILE__) . 'assets/js/admin-script.js',
      [],
      '1.0.0',
      true
    );

    wp_enqueue_style(
      'admin-style',
      plugin_dir_url(__FILE__) . 'assets/css/admin-style.css',
      [],
      '1.0.0',
      true
    );
  }

  /**
   * Outputs the content of the admin page.
   */
  public function display_page()
  {
    require __DIR__ . '/views/settings-page.php';
  }
}
