<?php

global $wpdb;

$table_name = "{$wpdb->prefix}form_alert";

$api_keys = $wpdb->get_results(
  "SELECT * FROM $table_name"
);

?>

<div class="wrap form-alert-container">
  <h1><?php esc_html_e('Form Alert', 'form-alert'); ?></h1>

  <h2><?php esc_html_e('Existing keys', 'form-alert'); ?></h2>
  <?php if (!empty($api_keys)): ?>
    <table class="wp-list-table widefat striped">
      <thead>
        <tr>
          <th><?php esc_html_e('Name', 'form-alert'); ?></th>
          <th><?php esc_html_e('Api key', 'form-alert'); ?></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach ($api_keys as $row): ?>
          <tr>
            <td><?php echo esc_html($row->name); ?></td>
            <td><?php echo esc_html($row->api_key); ?></td>
            <td>
              <form class="delete-form">
                <input type="hidden" name="id" value="<?php echo esc_attr($row->id); ?>">
                <?php wp_nonce_field('wp_rest', 'form_alert_delete_nonce'); ?>
                <button type="submit" class="button delete_api_key_button">
                  <?php esc_html_e('Delete', 'form-alert'); ?>
                </button>
              </form>
            </td>
          </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
  <?php else: ?>
    <p><?php esc_html_e('No data found.', 'form-alert'); ?></p>
  <?php endif; ?>

  <h2><?php esc_html_e('Add New API Key', 'form-alert'); ?></h2>
  <form id="api-key-form">
    <table class="form-table">
      <tr>
        <th scope="row"><label for="name"><?php esc_html_e('Name', 'form-alert'); ?></label></th>
        <td>
          <input type="text" id="name" name="name" class="regular-text" required>
        </td>
      </tr>
      <tr>
        <th scope="row"><label for="api_key"><?php esc_html_e('API Key', 'form-alert'); ?></label></th>
        <td>
          <input type="text" id="api_key" name="api_key" class="regular-text" required>
        </td>
      </tr>
    </table>
    <?php wp_nonce_field('wp_rest', 'form_alert_create_nonce'); ?>
    <div class="form-button-section">
      <button type="submit" id="submit_api_key" class="button button-primary">
        <?php esc_html_e('Add API Key', 'form-alert'); ?>
      </button>

      <div id="response"></div>
    </div>
  </form>
</div>